## org.eclipse.datatools.connectivity.oda.design
Interface ScalarValueChoices

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ScalarValueChoices

extends org.eclipse.emf.ecore.EObject

A collection of scalar values defined for user selection.

The following features are supported:

- `Scalar Values`

See Also:
  `DesignPackage.getScalarValueChoices()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.common.util.EList<ScalarValueDefinition>` `getScalarValues()` Returns the value of the 'Scalar Values' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getScalarValues

    org.eclipse.emf.common.util.EList<ScalarValueDefinition> getScalarValues()

  Returns the value of the 'Scalar Values' containment reference list. The list contents are of type `ScalarValueDefinition`.

  Returns:
    the value of the 'Scalar Values' containment reference list.
  See Also:
    `DesignPackage.getScalarValueChoices_ScalarValues()`